package cc.fascinated.bat.features.scoresaber;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.scoresaber.command.numberone.NumberOneFeedCommand;
import cc.fascinated.bat.features.scoresaber.command.scoresaber.ScoreSaberCommand;
import cc.fascinated.bat.features.scoresaber.command.userfeed.UserFeedCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class ScoreSaberFeature extends Feature {

    @Autowired
    public ScoreSaberFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("ScoreSaber");

        commandService.registerCommand(context.getBean(ScoreSaberCommand.class));
        commandService.registerCommand(context.getBean(UserFeedCommand.class));
        commandService.registerCommand(context.getBean(NumberOneFeedCommand.class));
    }
}
